summaryrefslogtreecommitdiffstats
path: root/games/crispy-doom/crispy-doom.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/crispy-doom/crispy-doom.SlackBuild')
-rw-r--r--games/crispy-doom/crispy-doom.SlackBuild16
1 files changed, 9 insertions, 7 deletions
diff --git a/games/crispy-doom/crispy-doom.SlackBuild b/games/crispy-doom/crispy-doom.SlackBuild
index a651bd7445..93f383f9d4 100644
--- a/games/crispy-doom/crispy-doom.SlackBuild
+++ b/games/crispy-doom/crispy-doom.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for crispy-doom
# Copyright 2015 Dugan Chen Canada
-# Updates copyright 2019, 2020 Lenard Spencer
+# Updates copyright 2019, 2020, 2021 Lenard Spencer
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=crispy-doom
-VERSION=${VERSION:-5.7.2}
+VERSION=${VERSION:-5.10.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -70,7 +70,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sh autogen.sh
+autoreconf -fiv
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -80,7 +80,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM \
--bindir=/usr/games \
--build=$ARCH-slackware-linux
@@ -93,10 +93,12 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog *.md \
- $PKG/usr/doc/$PRGNAM-$VERSION
+# Crispy-doom creates its own doc directory, so we'll use that and rename it:
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -n ChangeLog *.md $PKG/usr/doc/$PRGNAM-$VERSION || true
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# We'll rename the doc/crispy-heretic folder as well for consistency:
+mv $PKG/usr/doc/crispy-heretic $PKG/usr/doc/crispy-heretic-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc